export const SolidLine = ({ className, fill }) => {
  return (
    <svg
      className={className}
      style={{ textAlign: "center" }}
      xmlns="http://www.w3.org/2000/svg"
      viewBox="40 0 24 24"
      width="100"
      height="24"
      fill={fill}
      aria-hidden="true"
      focusable="false"
    >
      <path d="M5 11.25h100v3H5z"></path>
    </svg>
  );
};

export const DashedLine = ({ className, fill }) => {
  return (
    <svg
      className={className}
      xmlns="http://www.w3.org/2000/svg"
      viewBox="40 0 24 24"
      width="100"
      height="24"
      fill={fill}
      aria-hidden="true"
      focusable="false"
    >
      <path
        fill-rule="evenodd"
        d="M5 11.25h3v3H5v-3zm5.5 0h3v3h-3v-3zm8.5 0h0v3h-3v-3zm8.5 0h-3v3h-3v-3zm8.5 0h-6v3h-3v-3zm8.5 0h-9v3h-3v-3zm8.5 0h-12v3h-3v-3zm8.5 0h-15v3h-3v-3zm8.5 0h-18v3h-3v-3zm8.5 0h-21v3h-3v-3zm8.5 0h-24v3h-3v-3zm8.5 0h-27v3h-3v-3zm8.5 0h-30v3h-3v-3zm8.5 0h-33v3h-3v-3zm8.5 0h-36v3h-3v-3zm8.5 
        0h-39v3h-3v-3zm8.5 0h-42v3h-3v-3zm8.5 0h-45v3h-3v-3zm8.5"
        clip-rule="evenodd"
      ></path>
    </svg>
  );
};

export const DottedLine = ({ className, fill }) => {
  return (
    <svg
      className={className}
      xmlns="http://www.w3.org/2000/svg"
      viewBox="40 0 24 24"
      width="100"
      height="24"
      fill={fill}
      aria-hidden="true"
      focusable="false"
    >
      <path
        fill-rule="evenodd"
        d="M5.25 11.25h1.5v1.5h-1.5v-1.5zm3 0h1.5v1.5h-1.5v-1.5zm4.5 0h0.5v1.5h-1.5v-1.5zm4.5 0h-0.5v1.5h-1.5v-1.5zm4.5 0h-1.5v1.5h-1.5v-1.5zm4.5 0h-2.5v1.5h-1.5v-1.5zm4.5 0h-3.5v1.5h-1.5v-1.5zm4.5 0h-4.5v1.5h-1.5v-1.5zm4.5 0h-5.5v1.5h-1.5v-1.5zm4.5 0h-6.5v1.5h-1.5v-1.5zm4.5 0h-7.5v1.5h-1.5v-1.5zm4.5 0h-8.5v1.5h-1.5v-1.5zm4.5 0h-9.5v1.5h-1.5v-1.5zm4.5 0h-10.5v1.5h-1.5v-1.5zm4.5 0h-11.5v1.5h-1.5v-1.5zm4.5 0h-12.5v1.5h-1.5v-1.5zm4.5 0h-13.5v1.5h-1.5v-1.5zm4.5 0h-14.5v1.5h-1.5v-1.5zm4.5 0h-15.5v1.5h-1.5v-1.5zm4.5 0h-16.5v1.5h-1.5v-1.5zm4.5 0h-17.5v1.5h-1.5v-1.5zm4.5 0h-18.5v1.5h-1.5v-1.5zm4.5 0h-19.5v1.5h-1.5v-1.5zm4.5 0h-20.5v1.5h-1.5v-1.5zm4.5 0h-21.5v1.5h-1.5v-1.5zm4.5 0h-22.5v1.5h-1.5v-1.5zm4.5 0h-23.5v1.5h-1.5v-1.5zm4.5 0h-24.5v1.5h-1.5v-1.5zm4.5 0h-25.5v1.5h-1.5v-1.5zm4.5"
        clip-rule="evenodd"
      ></path>
    </svg>
  );
};

export const FacebookLogo = ({ className, style }) => {
  return (
    <svg
      className={className}
      style={style}
      xmlns="http://www.w3.org/2000/svg"
      width="12"
      height="20"
      viewBox="0 0 12 20"
      fill="none"
    >
      <path
        d="M9.31923 3.32003H11.1992V0.14003C10.289 0.045377 9.37439 -0.00135428 8.45923 2.98641e-05C5.73923 2.98641e-05 3.87923 1.66003 3.87923 4.70003V7.32003H0.809235V10.88H3.87923V20H7.55923V10.88H10.6192L11.0792 7.32003H7.55923V5.05003C7.55923 4.00003 7.83923 3.32003 9.31923 3.32003Z"
        fill="#F5EFDB"
      />
    </svg>
  );
};

export const TwitterLogo = ({ className, style }) => {
  return (
    <svg
      className={className}
      style={style}
      xmlns="http://www.w3.org/2000/svg"
      width="23"
      height="20"
      viewBox="0 0 23 20"
      fill="none"
    >
      <path
        d="M22.1904 1.95021C22.1906 1.77357 22.1439 1.60007 22.0551 1.44735C21.9664 1.29464 21.8387 1.16817 21.6852 1.08084C21.5317 0.993502 21.3577 0.948416 21.1811 0.95017C21.0045 0.951925 20.8315 1.00046 20.6797 1.09083C20.0944 1.43921 19.4642 1.70601 18.8067 1.88383C17.8677 1.07806 16.67 0.637129 15.4327 0.641636C14.0753 0.643198 12.7716 1.17223 11.7969 2.11702C10.8223 3.06181 10.2529 4.3484 10.2091 5.70512C7.53306 5.27838 5.10771 3.88164 3.39553 1.78126C3.29236 1.65609 3.16061 1.55757 3.01139 1.494C2.86216 1.43043 2.69984 1.40368 2.53811 1.41601C2.37647 1.42932 2.2205 1.4818 2.0837 1.56892C1.9469 1.65603 1.83337 1.77516 1.75295 1.91601C1.34048 2.63582 1.10358 3.44276 1.0615 4.27131C1.01942 5.09986 1.17334 5.92666 1.51076 6.68456L1.50881 6.68651C1.35715 6.77991 1.232 6.91066 1.14531 7.06625C1.05863 7.22185 1.01331 7.39708 1.01369 7.57519C1.01185 7.72211 1.02067 7.86898 1.04006 8.01464C1.1422 9.2729 1.69984 10.4507 2.60842 11.3271C2.54678 11.4446 2.50916 11.5731 2.49776 11.7052C2.48636 11.8373 2.5014 11.9704 2.54201 12.0967C2.93812 13.3308 3.78051 14.3727 4.90432 15.0185C3.76256 15.46 2.52974 15.614 1.31447 15.4668C1.08954 15.4386 0.861699 15.4876 0.668317 15.6059C0.474935 15.7242 0.327495 15.9047 0.250184 16.1178C0.172872 16.3309 0.170279 16.5639 0.24283 16.7787C0.31538 16.9935 0.458767 17.1772 0.649469 17.2998C2.73956 18.646 5.17315 19.3617 7.65924 19.3613C10.4785 19.393 13.2292 18.4921 15.4835 16.7988C17.7377 15.1054 19.3692 12.7145 20.124 9.99801C20.4771 8.81464 20.6574 7.58648 20.6592 6.35157C20.6592 6.28614 20.6592 6.21876 20.6582 6.15138C21.1804 5.58831 21.5848 4.92668 21.8479 4.20527C22.111 3.48387 22.2275 2.7172 22.1904 1.95021ZM18.8838 5.16212C18.7186 5.35746 18.6351 5.60891 18.6504 5.86427C18.6602 6.02927 18.6592 6.19527 18.6592 6.35157C18.6572 7.39511 18.5042 8.43287 18.2051 9.43263C17.5886 11.744 16.2143 13.7817 14.3022 15.2192C12.3901 16.6568 10.0509 17.4111 7.65924 17.3613C6.80012 17.3616 5.94396 17.2606 5.10846 17.0606C6.17387 16.7172 7.17005 16.1879 8.05084 15.4971C8.21306 15.3693 8.33179 15.1945 8.39073 14.9967C8.44966 14.7988 8.44592 14.5875 8.38001 14.3918C8.31411 14.1961 8.18927 14.0257 8.02262 13.9038C7.85597 13.7819 7.65568 13.7145 7.44924 13.7109C6.61807 13.698 5.82437 13.363 5.23537 12.7764C5.38479 12.7481 5.53323 12.7129 5.68069 12.6709C5.8967 12.6094 6.08573 12.477 6.21735 12.295C6.34897 12.1131 6.41551 11.8921 6.40626 11.6677C6.39701 11.4433 6.31252 11.2285 6.16637 11.058C6.02023 10.8874 5.82095 10.7711 5.60061 10.7275C5.11815 10.6323 4.66415 10.427 4.27392 10.1277C3.88369 9.82845 3.56773 9.44321 3.35061 9.00196C3.53134 9.02662 3.71322 9.04194 3.89553 9.04786C4.11211 9.05113 4.32412 8.98543 4.5009 8.86026C4.67769 8.73509 4.81008 8.55694 4.87893 8.35157C4.94491 8.14433 4.94151 7.92123 4.86926 7.7161C4.797 7.51096 4.65983 7.33499 4.47854 7.21485C4.03869 6.92182 3.67838 6.52427 3.42989 6.0578C3.18141 5.59134 3.0525 5.07052 3.05471 4.54201C3.05471 4.47561 3.05666 4.4092 3.06057 4.34377C5.30183 6.43402 8.20889 7.66621 11.2696 7.82326C11.4241 7.82934 11.5779 7.80024 11.7195 7.73816C11.8611 7.67607 11.9868 7.58262 12.087 7.46486C12.1861 7.34596 12.2564 7.20566 12.2921 7.05501C12.3279 6.90437 12.3281 6.74748 12.293 6.5967C12.2358 6.35806 12.2066 6.11357 12.206 5.86818C12.207 5.01271 12.5472 4.19254 13.1521 3.58764C13.757 2.98274 14.5772 2.64251 15.4326 2.64161C15.8728 2.64043 16.3084 2.7305 16.7119 2.90615C17.1155 3.0818 17.4783 3.3392 17.7774 3.66212C17.8927 3.7862 18.0379 3.87871 18.199 3.93085C18.3602 3.98299 18.5321 3.99303 18.6982 3.96001C19.109 3.88006 19.5139 3.7724 19.9102 3.63775C19.6399 4.19072 19.2945 4.70369 18.8838 5.16212Z"
        fill="#F5EFDB"
      />
    </svg>
  );
};

export const InstagramLogo = ({ className, style }) => {
  return (
    <svg
      className={className}
      style={style}
      xmlns="http://www.w3.org/2000/svg"
      width="21"
      height="20"
      viewBox="0 0 21 20"
      fill="none"
    >
      <path
        d="M15.5392 3.46C15.3019 3.46 15.0699 3.53038 14.8725 3.66224C14.6752 3.79409 14.5214 3.98151 14.4306 4.20078C14.3397 4.42005 14.316 4.66133 14.3623 4.89411C14.4086 5.12689 14.5229 5.34071 14.6907 5.50853C14.8585 5.67635 15.0723 5.79064 15.3051 5.83694C15.5379 5.88324 15.7792 5.85948 15.9984 5.76866C16.2177 5.67783 16.4051 5.52402 16.537 5.32668C16.6688 5.12935 16.7392 4.89734 16.7392 4.66C16.7392 4.34174 16.6128 4.03652 16.3877 3.81147C16.1627 3.58643 15.8575 3.46 15.5392 3.46ZM20.1392 5.88C20.1198 5.0503 19.9644 4.2294 19.6792 3.45C19.4249 2.78313 19.0292 2.17928 18.5192 1.68C18.024 1.16743 17.4188 0.774176 16.7492 0.53C15.9719 0.236161 15.1501 0.07721 14.3192 0.0599999C13.2592 -5.58794e-08 12.9192 0 10.1992 0C7.47922 0 7.13922 -5.58794e-08 6.07922 0.0599999C5.24837 0.07721 4.42656 0.236161 3.64922 0.53C2.9809 0.776649 2.37615 1.16956 1.87922 1.68C1.36664 2.17518 0.973395 2.78044 0.729219 3.45C0.43538 4.22734 0.276429 5.04915 0.259219 5.88C0.199219 6.94 0.199219 7.28 0.199219 10C0.199219 12.72 0.199219 13.06 0.259219 14.12C0.276429 14.9508 0.43538 15.7727 0.729219 16.55C0.973395 17.2196 1.36664 17.8248 1.87922 18.32C2.37615 18.8304 2.9809 19.2234 3.64922 19.47C4.42656 19.7638 5.24837 19.9228 6.07922 19.94C7.13922 20 7.47922 20 10.1992 20C12.9192 20 13.2592 20 14.3192 19.94C15.1501 19.9228 15.9719 19.7638 16.7492 19.47C17.4188 19.2258 18.024 18.8326 18.5192 18.32C19.0315 17.8226 19.4276 17.2182 19.6792 16.55C19.9644 15.7706 20.1198 14.9497 20.1392 14.12C20.1392 13.06 20.1992 12.72 20.1992 10C20.1992 7.28 20.1992 6.94 20.1392 5.88ZM18.3392 14C18.3319 14.6348 18.217 15.2637 17.9992 15.86C17.8396 16.2952 17.5831 16.6884 17.2492 17.01C16.9249 17.3405 16.5324 17.5964 16.0992 17.76C15.5029 17.9778 14.874 18.0927 14.2392 18.1C13.2392 18.15 12.8692 18.16 10.2392 18.16C7.60922 18.16 7.23922 18.16 6.23922 18.1C5.58011 18.1123 4.92381 18.0109 4.29922 17.8C3.885 17.6281 3.51057 17.3728 3.19922 17.05C2.86731 16.7287 2.61406 16.3352 2.45922 15.9C2.21508 15.2952 2.07966 14.6519 2.05922 14C2.05922 13 1.99922 12.63 1.99922 10C1.99922 7.37 1.99922 7 2.05922 6C2.0637 5.35106 2.18217 4.70795 2.40922 4.1C2.58527 3.67791 2.85548 3.30166 3.19922 3C3.50303 2.65617 3.87851 2.3831 4.29922 2.2C4.90877 1.98004 5.55122 1.86508 6.19922 1.86C7.19922 1.86 7.56922 1.8 10.1992 1.8C12.8292 1.8 13.1992 1.8 14.1992 1.86C14.834 1.86728 15.4629 1.98225 16.0592 2.2C16.5136 2.36865 16.9215 2.64285 17.2492 3C17.5769 3.30718 17.833 3.68273 17.9992 4.1C18.2215 4.70893 18.3365 5.35178 18.3392 6C18.3892 7 18.3992 7.37 18.3992 10C18.3992 12.63 18.3892 13 18.3392 14ZM10.1992 4.87C9.18503 4.87198 8.19418 5.17453 7.35187 5.73942C6.50957 6.30431 5.8536 7.1062 5.46685 8.04375C5.08011 8.98131 4.97994 10.0125 5.17901 11.0069C5.37808 12.0014 5.86746 12.9145 6.58529 13.631C7.30313 14.3474 8.21723 14.835 9.21208 15.0321C10.2069 15.2293 11.2379 15.1271 12.1747 14.7385C13.1115 14.35 13.9121 13.6924 14.4753 12.849C15.0386 12.0056 15.3392 11.0142 15.3392 10C15.3405 9.3251 15.2084 8.65661 14.9505 8.03296C14.6925 7.40931 14.3138 6.84281 13.8361 6.36605C13.3584 5.88929 12.7912 5.51168 12.167 5.25493C11.5429 4.99818 10.8741 4.86736 10.1992 4.87ZM10.1992 13.33C9.54061 13.33 8.89679 13.1347 8.34917 12.7688C7.80155 12.4029 7.37474 11.8828 7.1227 11.2743C6.87066 10.6659 6.80472 9.99631 6.9332 9.35035C7.06169 8.70439 7.37884 8.11104 7.84455 7.64533C8.31026 7.17963 8.90361 6.86247 9.54957 6.73398C10.1955 6.6055 10.8651 6.67144 11.4736 6.92348C12.082 7.17552 12.6021 7.60234 12.968 8.14995C13.3339 8.69757 13.5292 9.34139 13.5292 10C13.5292 10.4373 13.4431 10.8703 13.2757 11.2743C13.1084 11.6784 12.8631 12.0454 12.5539 12.3547C12.2447 12.6639 11.8776 12.9092 11.4736 13.0765C11.0695 13.2439 10.6365 13.33 10.1992 13.33Z"
        fill="#F5EFDB"
      />
    </svg>
  );
};
